Page MenuHomePhabricator

When filtering page history by date, the older/newer paging links don't work
Closed, ResolvedPublic

Description

When filtering page history by date, the older/newer paging links don't work.

Reported here: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Not_only_does_this_look_hideous,_it_doesn't_work

Go to the history of any given page, let's say this page, i.e. (1). Select a date, let's say 31 December 2018, and click "Show revisions". You are led to this page. Now click "older 50". You are led to this page, which shows you the exact same things as the previous page. This time, click "newer 50". This one works. But click "newer 50" again. You are led to here, which shows you the exact same things as the previous one. Tested on Chrome & Firefox. What is going on here? In the meantime, the previous version, as much as you can't choose a specific date, still works. —Nardog 22:02, 11 April 2019 (UTC)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2019, 12:11 AM

Change 503150 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] HistoryPager: Unset 'date-range-to' parameter when paging

https://gerrit.wikimedia.org/r/503150

Change 503150 merged by jenkins-bot:
[mediawiki/core@master] HistoryPager: Unset 'date-range-to' parameter when paging

https://gerrit.wikimedia.org/r/503150

Volker_E closed this task as Resolved.Apr 12 2019, 10:29 PM
Volker_E triaged this task as High priority.
Volker_E removed a project: Patch-For-Review.